Subject: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Ihor Radchenko <[email-masked]>
Date: Sun, 23 Jun 2024 11:42:47 +0000

Eli Zaretskii <[email-masked]> writes:

>> Let me clarify: I did not mean creating a directory _under_ XDG
>> directory. I meant creating XDG directory itself - it is regulated by
>> XDG spec.
>
> Yes, I understood, and my response includes that part as well.

Then, I do not understand your

  >>> ...I disagree, mainly because the details are not part of XDG

According to
https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html,
0700 permission is a part of XDG spec.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>